Davix::X509Credential Class Reference

X509 certificate. More...

`#include <davixx509cred.hpp>`

## Public Member Functions

| X509Credential ()
| default constructor
| X509Credential (const X509Credential &orig)
| copy constructor
X509Credential & | operator= (const X509Credential &orig)
| assignment operator
| ~X509Credential ()
| destructor
int | loadFromFileP12 (const std::string &filepath_p12_cred, const std::string &password, DavixError **err)
int | loadFromFilePEM (const std::string &filepath_priv_key, const std::string &filepath_cred, const std::string &password, DavixError **err)
bool | hasCert () const

## Friends

struct | X509CredentialExtra

## Detailed Description

X509 certificate.

## Member Function Documentation

## hasCert()

bool Davix::X509Credential::hasCert | ( |  | ) | const

check if the object contain a credential

Returns
  true if contains a valid certificate, false if empty

## loadFromFileP12()

int Davix::X509Credential::loadFromFileP12 | ( | const std::string & | filepath_p12_cred,
|  | const std::string & | password,
|  | DavixError ** | err )

load a credential from a PKCS12 file

Parameters

  filepath_p12_cred | : path to the p12 credential file
  password | : pass to decrypt the credential, empty string if nothing
  err | : davix error report

## loadFromFilePEM()

int Davix::X509Credential::loadFromFilePEM | ( | const std::string & | filepath_priv_key,
|  | const std::string & | filepath_cred,
|  | const std::string & | password,
|  | DavixError ** | err )

load a credential from a PEM file support RFC-3820 proxy certificate, "globus" proxy certificate and "VOMS" proxy certificate support for concatenated format

to use a concatenated PEM cred, just set filepath_priv_key = filepath_cred = concat cred path

Parameters

  filepath_priv_key | : path to the private key file
  filepath_cred | : path to the credential file
  password | : pass to decrypt the credential, empty string if unencrypted
  err | : davix error report

The documentation for this class was generated from the following file:

- /build/davix-vkLe3H/davix-0.8.10/include/davix/auth/davixx509cred.hpp